stages:
    - Test

LoadAndPerformanceTest:
  stage: Test
  image: curlimages/curl
  #image: registry.gitlab.com/manasa.govinda/jmeter/jmeterimage
  #image: parthjhaqualitestgroup/jmeter:v3
  variables:
#https://gitlab.example.com/api/v4/projects/1/variables
    url : "https://gitlab.com/api/v4/projects/31623284/variables"


  script:
    - |
     wget https://github.com/stedolan/jq/releases/download/jq-1.6/jq-linux64 
     mv jq-linux64 /usr/local/bin/jq
     chmod +x /usr/local/bin/jq
     echo "Hello world" 
     curl --header 'PRIVATE-TOKEN: '$gitToken  "https://gitlab.com/api/v4/projects/31623284/variables" -o output.json
     echo "END OF world" 
     key=$(jq -r .[0].key response.json)

       #echo id
  #artifacts:
   # when: always
    #paths:
     # - output.json
